﻿

using IdeaBlade.EntityModel;


namespace DomainModel {

  /// <summary>
  /// Extension methods for the EntityManager.
  /// </summary>
  public static class EmExtensions {

    #region State
    /// <summary>
    /// This allows you to build a query such as _entityManager.States()
    /// </summary>
    public static EntityQuery<State> States(this EntityManager em) {
      return new EntityQuery<State>("States", em);
    }
    #endregion State

  }

}